# developer-utils-flask
---
<!-- <a href="https://github.com/Exponential-Hosting/utils/issues"><img src="https://img.shields.io/github/issues/Exponential-Hosting/utils"></a>
<a href="https://github.com/Exponential-Hosting/utils/blob/main/LICENSE"><img src="https://img.shields.io/github/license/Exponential-Hosting/utils"></a>
<a href="https://twitter.com/intent/tweet?text=https%3A%2F%2Fgithub.com%2FExponential-Hosting%2Futils"><img src="https://img.shields.io/twitter/url?url=https%3A%2F%2Fgithub.com%2FExponential-Hosting%2Futils"></a> -->

## validateCredential

This method can be used to validate calls made from the Exponential server to the API. To use this, download this package and import validateCredential then use it as a decorator function.

### Installation:

```
pip install developer-tools-exponential

```

### Quick Start:

```
from flask import Flask, request
from exponential import validateCredentials
from dotenv import load_dotenv

app = Flask(__name__)
load_dotenv()

@app.route('/', methods=['GET', 'POST'])
@validateCredentials(os.getenv("API_SECRET_KEY"))
def hello_world():
	return 'Hello World'

if __name__ == '__main__':
	app.run()

```
